Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
RecnoDatabase..::.TruncateUnusedPages Method (Transaction)
RecnoDatabase Class See Also

Return pages to the filesystem that are already free and at the end of the file.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#
    public uint TruncateUnusedPages(
    	Transaction txn
    )

Visual Basic (Declaration)
    Public Function TruncateUnusedPages ( _
    	txn As Transaction _
    ) As UInteger

Visual C++
    public:
    unsigned int TruncateUnusedPages(
    	Transaction^ txn
    )

#### Parameters

txn
  Type: BerkeleyDB..::.Transaction
  If the operation is part of an application-specified transaction, txn is a Transaction object returned from BeginTransaction()()(); if the operation is part of a Berkeley DB Concurrent Data Store group, txn is a handle returned from BeginCDSGroup()()(); otherwise null.

#### Return Value

The number of database pages returned to the filesystem

# See Also

RecnoDatabase Class
TruncateUnusedPages Overload
BerkeleyDB Namespace